/*
 *Copyright(C) 2023 by Chief All rights reserved.
 *Unity版本：2023.2.5f1c1 
 *作者:Chief  
 *创建日期: 2024-01-29 
 *模块说明：游戏运行器
 *版本: 1.0
*/

using UnityEngine;
#if ODIN_INSPECTOR
using Sirenix.OdinInspector;
#endif

namespace Aster.Game
{
    /// <summary>
    /// 单个步骤运行器；
    /// </summary>
    public abstract class GameSystem :
#if ODIN_INSPECTOR
        SerializedScriptableObject
#else
        ScriptableObject
#endif
    {

#if ODIN_INSPECTOR
        [LabelText("说明")]
#endif
        public string Descirpe;

        public virtual void Start() { }

        public virtual void FixedUpdate() { }

        public virtual void Update() { }

        public virtual void LateUpdate() { }

        public virtual void Destroy() { }

    }
}